;;;; Company configuration.
(use-package company
  :ensure t
  :defer t
  :init (global-company-mode)
  :config
  (progn
    (add-to-list 'completion-styles 'initials t)
    (bind-key "M-<tab>" #'company-complete company-mode-map)
    (setq company-tooltip-align-annotations t
          tab-always-indent 'complete)
    (setq company-dabbrev-downcase nil))
  :diminish company-mode)

(provide 'jenga-company)
