;;;; Evil mode configuration.
;;(unless (package-installed-p 'evil)
;;  (package-refresh-contents)
;;  (package-install 'evil))
(use-package evil
    :ensure t
    :init ;; tweak evil's configuration before loading it
    (setq evil-search-module 'evil-search
          evil-ex-complete-emacs-commands nil
          evil-vsplit-window-right t
          evil-split-window-below t
          evil-shift-round nil
          evil-want-C-u-scroll t)
    :config ;; tweak evil after loading it
    (evil-mode)
    (setq evil-want-C-u-scroll t)
    (eval-after-load "evil-maps"
      ;; Unset Evil's "M-." keymap so that TAGS definitions can be followed.
      (define-key evil-normal-state-map "\M-." nil)))

(provide 'jenga-evil)
